# Delete Collection File

`DELETE https://api.vultrinference.com/v1/vector_store/{id}/files/{fileid}`

Deletes a vector store collection file record.

## Path parameters

- `id` (string, required): The ID of the vector store collection.
- `fileid` (string, required): The ID of the vector store collection file.

## Responses

- `204`: OK
- `400`: Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope. (error-payload)
- `401`: The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>. (error-payload)

## Example

```bash
curl -X DELETE https://api.vultrinference.com/v1/vector_store/{id}/files/{fileid} \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
```

```python
import os
import requests

response = requests.delete(
    "https://api.vultrinference.com/v1/vector_store/{id}/files/{fileid}",
    headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.status_code)
```

```javascript
const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}/files/{fileid}", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
  },
});
console.log(response.status);
```
